# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-IO-Socket-INET6
Version:	2.69
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl Object interface for AF_INET|AF_INET6 domain sockets
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~mondejar/IO-Socket-INET6/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/IO-Socket-INET6-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Socket6)
BuildRequires:	perl(Test::More), perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl Object interface for AF_INET|AF_INET6 domain sockets.

%prep
%setup -q -n IO-Socket-INET6-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test TEST_VERBOSE=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Socket::INET6.3pm*

%changelog
* Mon Nov 28 2011 Paul Howarth <paul@city-fan.org> - 2.69-1
- Update to 2.69:
  - Fix the imports on t/io_multihomed6.t (CPAN RT#72769)
  - Update the link to the repository in Build.PL
- Drop upstreamed patch for 2.68

* Mon Nov 28 2011 Paul Howarth <paul@city-fan.org> - 2.68-1
- Update to 2.68:
  - Solved symbol clashes in t/io_multihomed6.t (CPAN RT#72769)
- Add patch to fix typo in test

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 2.67-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Sun Jan 23 2011 Paul Howarth <paul@city-fan.org> - 2.67-1
- Update to 2.67:
  - IO::Socket is doing some imports so we now do use IO::Socket ()
  - Fixed the rest of the imports

* Thu Jan 13 2011 Paul Howarth <paul@city-fan.org> - 2.66-1
- Update to 2.66 (made the "use Socket" call import constants selectively, and
  not rely on @EXPORT's whims)

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 2.65-2
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun 11 2010 Paul Howarth <paul@city-fan.org> - 2.65-1
- Update to 2.65 (further fixes for t/io_multihomed6.t)

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> - 2.64-1
- Update to 2.64 (patch for CPAN RT#58198 upstreamed)

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> - 2.63-1
- Update to 2.63
  - Upstream patch for select timeout issue in t/io_multihomed6.t
- Add patch for t/io_multihomed6.t on systems with broken getaddrinfo()
  (CPAN RT#58198)

* Fri May 21 2010 Paul Howarth <paul@city-fan.org> - 2.62-1
- Update to 2.62
  - Solved problems with multihomed and family order (CPAN RT#57676)
- Fix disttag for RHEL-6 Beta
- Add patch for select timeout in t/io_multihomed6.t that seems to happen
  on Fedora 10

* Thu Mar 25 2010 Paul Howarth <paul@city-fan.org> - 2.61-1
- Update to 2.61 (fixes for t/listen_port_only.t)

* Thu Mar 25 2010 Paul Howarth <paul@city-fan.org> - 2.60-1
- Update to 2.60
  - Fix the inet_pton/inet_ntop import warnings (CPAN RT#55901)
  - Fix listening on :: or 0.0.0.0 (CPAN RT#54656)
  - Add test listen_port_only.t

* Sat Mar 20 2010 Paul Howarth <paul@city-fan.org> - 2.59-1
- Update to 2.59 (fix for older perls upstreamed)

* Fri Mar 19 2010 Paul Howarth <paul@city-fan.org> - 2.58-1
- Update to 2.58 (fix for OpenBSD getaddrinfo() - CPAN RT#54656)
- Add patch to fix builds on perl < 5.10.0
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Nov 23 2009 Paul Howarth <paul@city-fan.org> - 2.57-1
- Update to 2.57 (deal with blocking sockets properly, add test t/blocking.t)
- Dist tag for Rawhide no longer needs special-casing

* Fri Sep 11 2009 Paul Howarth <paul@city-fan.org> - 2.56-2
- Define RPM macros in global scope

* Tue Oct  7 2008 Paul Howarth <paul@city-fan.org> - 2.56-1
- Update to 2.56
- Test suite problems fixed upstream, so patch removed

* Thu Sep 25 2008 Paul Howarth <paul@city-fan.org> - 2.55-1
- Update to 2.55
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Patch test suite to force IPv6 connections, needed to avoid
  "bind: invalid argument" problems on Fedora >= 9
- Run test suite in verbose mode

* Fri Feb 22 2008 Paul Howarth <paul@city-fan.org> - 2.54-1
- Update to 2.54

* Thu Feb 21 2008 Paul Howarth <paul@city-fan.org> - 2.53-1
- Update to 2.53
- Add buildreqs perl(Test::Pod) and perl(Test::Pod::Coverage)

* Wed Feb  6 2008 Paul Howarth <paul@city-fan.org> - 2.52-1
- Update to 2.52
- Update source URL for new upstream maintainer
- Add buildreq perl(Test::More)
- Run the test suite properly as it should now be OK

* Fri Dec 21 2007 Paul Howarth <paul@city-fan.org> - 2.51-4
- Import from Fedora
- Fix argument order for find with -depth
- Run the test suite but don't mind if it fails

* Fri Nov 16 2007 Parag Nemade <panemade@gmail.com> - 2.51-3
- Merge Review(#226263) Spec cleanup

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.51-2.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Thu Jul 06 2006 Warren Togami <wtogami@redhat.com> 2.51-2
- minor spec fixes (#197821)

* Thu Jul 06 2006 Warren Togami <wtogami@redhat.com> 2.51-1
- initial Fedora package
